Cyberduck Mountain Duck CLI

#1025 closed defect (fixed)

False size calculation for ASCII transfers

Reported by: andrewdavidson3 Owned by: dkocher
Priority: high Milestone: 3.0
Component: ftp Version: 2.7.2
Severity: normal Keywords: disconnected, upload, file size,
Cc: andrew@… Architecture:
Platform:

Description

When uploading files to FTP servers, including my personal ftp server that I need to use daily, I get the message "Disconnected" in the Transfers window after the upload has completed. The files do appear to get there, but the file size reported is generally .1 - .2 kB larger than the "total" file size.

A screenshot of the issue can be seen at http://andrewism.tk/pub/cyberduck_error.png

This happens to me very consistently on several FTP sites so its not just a fluke thing for me at least, and it happens on both my MacBook and Intel Mini.

Change History (11)

comment:1 Changed on Feb 13, 2007 at 4:35:15 PM by dkocher

Using ASCII or 'Auto' FTP transfer mode?

comment:2 Changed on Feb 13, 2007 at 5:48:55 PM by andrewdavidson3

Using 'Auto' transfer mode, although 'ascii' exhibits the same error.

Binary seems to work better in a couple of quick tests, but I was hoping to use "auto" to get the best transfer speeds for my uploads. My upload connection is only 384kbps and it's nice to get the best uploads speed possible with that.

Is this a 'known issue'?

comment:3 Changed on May 18, 2007 at 4:31:33 PM by dkocher

  • Summary changed from Upload reports "Disconnected" but succeeds to False size calculation for ASCII transfers

comment:4 Changed on Jul 2, 2007 at 11:20:13 AM by dkocher

  • Milestone set to 2.8
  • Resolution set to worksforme
  • Status changed from new to closed

comment:5 Changed on Aug 10, 2007 at 7:46:06 PM by dkocher

  • Resolution worksforme deleted
  • Status changed from closed to reopened

This file size differs when converting line endings.

comment:6 Changed on Aug 16, 2007 at 8:35:33 PM by dkocher

  • Milestone changed from 2.8 to 2.8.1

comment:7 Changed on Jan 23, 2008 at 6:58:48 PM by dkocher

  • Milestone 2.8.4 deleted

comment:8 Changed on Jan 24, 2008 at 11:46:34 PM by eric@…

Version 2.8.4 (3470) exhibits this behaviour every time uploading under leopard

comment:9 Changed on Jan 29, 2008 at 8:46:32 PM by dkocher

  • Milestone set to 2.9
  • Priority changed from normal to high

comment:10 Changed on Jan 30, 2008 at 7:00:14 PM by dkocher

Ticket #1716 closed as duplicate.

comment:11 Changed on Mar 26, 2008 at 11:37:04 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

In r3620.

Note: See TracTickets for help on using tickets.
swiss made software